#ifndef QNEWGAMEIMPL_H
#define QNEWGAMEIMPL_H

#include "qnewgame.h"

#include "variables.h"

class QNewGameImpl : public newGameDialog
{
    Q_OBJECT

public:
    QNewGameImpl( QWidget* parent, bool *heurisRev, bool *heurisTurn,
		  gameType *gt, int *cheatProtection );
    ~QNewGameImpl();

public slots:
    void newHotseat();
    void newPBEM();
    void toggleHeuristicRevert(bool);
    void toggleHeuristicTurn(bool);
    void toggleCheatEnable(bool);
    void toggleCheatPartlyEnable(bool);
    void toggleCheatDisable(bool);

private:
    bool *heurisRev, *heurisTurn;
    int *cheatProtection; // 1:enable, 2: partly enable, 3: disable
    gameType *type;
};

#endif // QNEWGAMEIMPL_H
